#
# spec file for package xfce4-panel-plugin-cpugraph
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.10.0
%define plugin_name xfce4-cpugraph-plugin

Name:           xfce4-panel-plugin-cpugraph
Version:        1.0.5
Release:        8.1
Summary:        CPU Graph Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cpugraph-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.0/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The CPU Graph plugin diplays a customizable graph of the CPU load of either
a specific CPU or all CPUs combined.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{_smp_mflags} V=1

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libcpugraph.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libcpugraph.so
%{_datadir}/xfce4/panel/plugins/cpugraph.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-cpugraph-plugin.png

%files lang -f %{name}.lang

%changelog
* Sun Mar 17 2013 gber@opensuse.org
- update to version 1.0.5
  - only set bar color if a color was actually specified
  - only set bar color if bars are enabled
- dropped obsolete
  xfce4-panel-plugin-cpugrap-only-set-color-if-enabled.patch
* Mon Jul  2 2012 gber@opensuse.org
- update to version 1.0.4
  - fix build failure with xfce4-panel 4.8
- added xfce4-panel-plugin-cpugrap-only-set-color-if-enabled.patch
  in order to only set bar color if bars are enabled (bxo#907,
  backported from upstream git)
* Sun Jul  1 2012 gber@opensuse.org
- update to version 1.0.3
  - better compliance with panel plugin HIG
  - add an option allowing to set the bar color
  - fix transparency issues
* Sun Apr 29 2012 gber@opensuse.org
- update to version 1.0.2
  - ported to libxfce4ui
  - fixed buffer overflow
  - fixes plugin losing associated command value
  - build the plugin as a module
  - adapt to panel 4.9 api
- removed obsolete
  xfce4-panel-plugin-cpugraph-1.0.1-fix-buffer-overflow.patch
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
